Module jdk.jdi
Package com.sun.jdi

## Interface ByteValue

All Superinterfaces:
  `Comparable<ByteValue>`, `Mirror`, `PrimitiveValue`, `Value`

    public interface ByteValue
    extends PrimitiveValue, Comparable<ByteValue>

Provides access to a primitive `byte` value in the target VM.

Since:
  1.3

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(Object obj)` Compares the specified Object with this ByteValue for equality.
`int` `hashCode()` Returns the hash code value for this BooleanValue.
`byte` `value()` Returns this ByteValue as a `byte`.

### Methods declared in interface java.lang.Comparable

`compareTo`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods declared in interface com.sun.jdi.PrimitiveValue

`booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

### Methods declared in interface com.sun.jdi.Value

`type`

### Method Detail

#### value

    byte value()

Returns this ByteValue as a `byte`.

Returns:
  the `byte` mirrored by this object.

#### equals

    boolean equals​(Object obj)

Compares the specified Object with this ByteValue for equality.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare.
Returns:
  true if the Object is a ByteValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
See Also:
  `Object.hashCode()`, `HashMap`

#### hashCode

    int hashCode()

Returns the hash code value for this BooleanValue.

Overrides:
  `hashCode` in class `Object`
Returns:
  the integer hash code
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`